Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 614688 - support searching values with single-quotes across the system
support searching values with single-quotes across the system
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: SearchBar (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
John Sanda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 21:06 EDT by Joseph Marques
Modified: 2010-08-12 12:59 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2010-07-14 21:06:54 EDT
Searching for single-quotes is broken across the entire system.  If you try to use the SLSB interfaces, or the Criteria API, or the SearchBar - it doesn't work anywhere.  When formatting query parameters that represent searchable fields, we need to escape single-quotes.  Luckily, this functionality is centralized in QueryUtility class today, so updating it once there should enable this functionality for all places that call into it.
Comment 1 Joseph Marques 2010-07-14 21:14:56 EDT
commit 8d0b63fa40dfd3f0dacd82b1e7003094fe8216e7
Author: Joseph Marques <joseph@redhat.com>
Date:   Wed Jul 14 21:07:11 2010 -0400

    BZ-614688: support searching for values that contain single-quotes
Comment 2 John Sanda 2010-07-19 10:22:53 EDT
Testing with build 175 of ci-rhq-release job.

Searches for the following strings worked as expected,

John's Job
'my broken job'
my 'broken' job
my 'broken' 'job'
my '"' broken job


Joseph pointed out to me that only a single level of nesting is supported; so, the following is not considered legal,

my '"'broken'"' job

since it nests single quotes two levels deep.
Comment 3 Corey Welton 2010-08-12 12:59:55 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.